[LTP] [PATCH] ci: fix results being sent while patchwork.sh exit 1
Andrea Cervesato
andrea.cervesato@suse.de
Thu Apr 24 11:50:51 CEST 2025
From: Andrea Cervesato <andrea.cervesato@suse.com>
Fix a logic issue related to 'patchwork.sh check' command, that is
setting a exit code to 1 when curl command success, causing GitHub CI to
recognize the build as failed.
Signed-off-by: Andrea Cervesato <andrea.cervesato@suse.com>
---
ci/tools/patchwork.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/ci/tools/patchwork.sh b/ci/tools/patchwork.sh
index 25d65a2a77d193d5150ba6537b0c6e90e54b7fb5..83ef0bb2206277c36bb38845e356625c67ac7d97 100755
--- a/ci/tools/patchwork.sh
+++ b/ci/tools/patchwork.sh
@@ -158,7 +158,7 @@ send_results() {
-F "description=$result" \
"$PATCHWORK_URL/api/patches/$patch_id/checks/"
- [ $? -eq 0 ] && exit 1
+ [ $? -eq 0 ] || exit 1
done
}
---
base-commit: 80fd2d673bc0fd8514190a061219c24933b6f03f
change-id: 20250424-fix_ci_results_pipeline-86ed61fd56ea
Best regards,
--
Andrea Cervesato <andrea.cervesato@suse.com>
More information about the ltp
mailing list